### Method

# GLib Queue sort

since: 2.4

#### Declaration

    void
    g_queue_sort (
      GQueue* queue,
      GCompareDataFunc compare_func,
      gpointer user_data
    )

#### Description

Sorts `queue` using `compare_func`.

Available since: 2.4

#### Parameters

`compare_func`

  Type: `GCompareDataFunc`

  The `GCompareDataFunc` used to sort `queue`. This function is passed two elements of the queue and should return 0 if they are equal, a negative value if the first comes before the second, and a positive value if the second comes before the first.

`user_data`

  Type: `gpointer`

  User data passed to `compare_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.